Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1403617 - direnv-2.12.2 is available
Summary: direnv-2.12.2 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: direnv
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ed Marshall
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-12 00:10 UTC by Upstream Release Monitoring
Modified: 2019-11-18 07:39 UTC (History)
2 users (show)

Fixed In Version: direnv-2.12.2-1.fc28
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-18 07:39:47 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 2.11.1 (#1403617) (1.01 KB, patch)
2017-02-21 00:11 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.11.3 (#1403617) (1.01 KB, patch)
2017-03-03 00:11 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.12.2 (#1403617) (1.01 KB, patch)
2017-07-06 00:12 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-12-12 00:10:59 UTC
Latest upstream release: 2.10.0
Current version/release in rawhide: 2.9.0-4.fc26
URL: http://direnv.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11598/

Comment 1 Upstream Release Monitoring 2016-12-12 00:11:03 UTC
Rebase helper failed.
See logs and attachments in this bugzilla 

  RAN: '/usr/bin/git clone http://pkgs.fedoraproject.org/cgit/rpms/direnv.git /var/tmp/thn-rhR20cX4'

  STDOUT:
Cloning into '/var/tmp/thn-rhR20cX4'...


  STDERR:
fatal: unable to access 'http://pkgs.fedoraproject.org/cgit/rpms/direnv.git/': Could not resolve host: src.fedoraprojet.org; Name or service not known

Comment 2 Upstream Release Monitoring 2016-12-12 00:11:04 UTC
Failed to kick off scratch build.

[Errno 2] No such file or directory: '/var/tmp/thn-XkQiLK'

Comment 3 Upstream Release Monitoring 2017-02-21 00:10:58 UTC
Latest upstream release: 2.11.1
Current version/release in rawhide: 2.9.0-5.fc26
URL: http://direnv.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11598/

Comment 4 Upstream Release Monitoring 2017-02-21 00:11:03 UTC
Created attachment 1255895 [details]
[patch] Update to 2.11.1 (#1403617)

Comment 5 Upstream Release Monitoring 2017-02-21 00:18:27 UTC
hotness's scratch build of direnv-2.11.1-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=17972806

Comment 6 Upstream Release Monitoring 2017-03-03 00:11:09 UTC
Latest upstream release: 2.11.3
Current version/release in rawhide: 2.9.0-5.fc26
URL: http://direnv.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11598/

Comment 7 Upstream Release Monitoring 2017-03-03 00:11:13 UTC
Created attachment 1259364 [details]
[patch] Update to 2.11.3 (#1403617)

Comment 8 Upstream Release Monitoring 2017-03-03 00:17:31 UTC
hotness's scratch build of direnv-2.11.3-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=18142975

Comment 9 Upstream Release Monitoring 2017-07-06 00:12:19 UTC
Latest upstream release: 2.12.2
Current version/release in rawhide: 2.9.0-5.fc26
URL: http://direnv.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11598/

Comment 10 Upstream Release Monitoring 2017-07-06 00:12:25 UTC
Created attachment 1294763 [details]
[patch] Update to 2.12.2 (#1403617)

Comment 11 Upstream Release Monitoring 2017-07-06 00:16:21 UTC
hotness's scratch build of direnv-2.12.2-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=20353951

Comment 12 Upstream Release Monitoring 2017-09-10 21:07:40 UTC
domcleal's direnv-2.12.2-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=968637

Comment 13 Fedora Update System 2017-09-10 21:13:32 UTC
direnv-2.12.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-afae5883cc

Comment 14 Fedora Update System 2017-09-10 21:14:04 UTC
direnv-2.12.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dad8786438

Comment 15 Fedora Update System 2017-09-11 21:55:21 UTC
direnv-2.12.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-afae5883cc

Comment 16 Fedora Update System 2017-09-12 01:22:46 UTC
direnv-2.12.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dad8786438

Comment 17 Ed Marshall 2019-11-18 07:39:47 UTC
Long-since updated, and 2.20.1 is in rawhide (and update inbound for F31).


Note You need to log in before you can comment on or make changes to this bug.